#!/bin/sh -e

#
# This script works on Debian/Sarge.  It requires the following
# packages:
# 
# wget
# cabextract
# mscompress (provides msexpand)
# coreutils  (provides mv)
# sysutils   (provides dos2unix)
# patch
#

wget ftp://ftp.hp.com/pub/softlib/software5/COL10929/lj-31725-1/lj1320PSwinnt4-en.exe

cabextract lj1320PSwinnt4-en.exe

msexpand hpb13206.pp_

mv hpb13206.pp hpb13206.ppd

dos2unix hpb13206.ppd

patch -p0 < $0

exit $?

--- hpb13206.ppd	2005-09-03 07:44:51.000000000 -0600
+++ /usr/share/cups/model/hpb13206.ppd	2005-01-19 04:46:54.000000000 -0700
@@ -63,31 +63,33 @@
 *%=== Emulations and Protocols =============
 *Protocols: PJL TBCP
 
+*OpenGroup: HPWaterOverlayPanel/Watermark
+
 *%$WM_BEGIN
 
 *%=== Watermark Text ========
-*OpenUI *HPwmText/Watermark:  PickOne
-*OrderDependency: 65 AnySetup *HPwmText
-*DefaultHPwmText:None
-*HPwmText None/None: ""
-*HPwmText Draft/Draft: "userdict /HPwmText (Draft) put"
-*HPwmText CompanyConfidential/Company Confidential: "userdict /HPwmText (Company Confidential) put"
-*HPwmText CompanyProprietary/Company Proprietary: "userdict /HPwmText (Company Proprietary) put"
-*HPwmText CompanyPrivate/Company Private: "userdict /HPwmText (Company Private) put"
-*HPwmText Confidential/Confidential: "userdict /HPwmText (Confidential) put"
-*HPwmText Copy/Copy: "userdict /HPwmText (Copy) put"
-*HPwmText Copyright/Copyright: "userdict /HPwmText (Copyright) put"
-*HPwmText FileCopy/File Copy: "userdict /HPwmText (File Copy) put"
-*HPwmText Final/Final: "userdict /HPwmText (Final) put"
-*HPwmText ForInternalUse/For Internal Use Only: "userdict /HPwmText (For Internal Use Only) put"
-*HPwmText Preliminary/Preliminary: "userdict /HPwmText (Preliminary) put"
-*HPwmText Proof/Proof: "userdict /HPwmText (Proof) put"
-*HPwmText ReviewCopy/Review Copy: "userdict /HPwmText (Review Copy) put"
-*HPwmText Sample/Sample: "userdict /HPwmText (Sample) put"
-*HPwmText TopSecret/Top Secret: "userdict /HPwmText (Top Secret) put"
-*HPwmText Urgent/Urgent: "userdict /HPwmText (Urgent) put"
-*HPwmText Set/Custom: "userdict /HPwmText (Custom) put"
-*CloseUI: *HPwmText
+*OpenUI *HPwmTextMessage/Watermark:  PickOne
+*OrderDependency: 65 AnySetup *HPwmTextMessage
+*DefaultHPwmTextMessage:None
+*HPwmTextMessage None/None: ""
+*HPwmTextMessage Draft/Draft: "userdict /HPwmText (Draft) put"
+*HPwmTextMessage CompanyConfidential/Company Confidential: "userdict /HPwmText (Company Confidential) put"
+*HPwmTextMessage CompanyProprietary/Company Proprietary: "userdict /HPwmText (Company Proprietary) put"
+*HPwmTextMessage CompanyPrivate/Company Private: "userdict /HPwmText (Company Private) put"
+*HPwmTextMessage Confidential/Confidential: "userdict /HPwmText (Confidential) put"
+*HPwmTextMessage Copy/Copy: "userdict /HPwmText (Copy) put"
+*HPwmTextMessage Copyright/Copyright: "userdict /HPwmText (Copyright) put"
+*HPwmTextMessage FileCopy/File Copy: "userdict /HPwmText (File Copy) put"
+*HPwmTextMessage Final/Final: "userdict /HPwmText (Final) put"
+*HPwmTextMessage ForInternalUse/For Internal Use Only: "userdict /HPwmText (For Internal Use Only) put"
+*HPwmTextMessage Preliminary/Preliminary: "userdict /HPwmText (Preliminary) put"
+*HPwmTextMessage Proof/Proof: "userdict /HPwmText (Proof) put"
+*HPwmTextMessage ReviewCopy/Review Copy: "userdict /HPwmText (Review Copy) put"
+*HPwmTextMessage Sample/Sample: "userdict /HPwmText (Sample) put"
+*HPwmTextMessage TopSecret/Top Secret: "userdict /HPwmText (Top Secret) put"
+*HPwmTextMessage Urgent/Urgent: "userdict /HPwmText (Urgent) put"
+*HPwmTextMessage Set/Custom: "userdict /HPwmText (Custom) put"
+*CloseUI: *HPwmTextMessage
 
 *%=== WaterMark Size ========
 *OpenUI *HPwmNUP/Watermark (Pages per Sheet):  Boolean
@@ -98,31 +100,31 @@
 *CloseUI: *HPwmNUP
 
 *%=== WaterMark Font ========
-*OpenUI *HPwmFont/Watermark Font:  PickOne
-*OrderDependency: 65 AnySetup *HPwmFont
-*DefaultHPwmFont: HelveticaB
-*HPwmFont CourierB/Courier Bold: "
+*OpenUI *HPwmFontName/Watermark Font:  PickOne
+*OrderDependency: 65 AnySetup *HPwmFontName
+*DefaultHPwmFontName: HelveticaB
+*HPwmFontName CourierB/Courier Bold: "
   /Courier-Bold findfont dup length dict begin
     {1 index /FID ne {def} {pop pop} ifelse} forall
     /Encoding ISOLatin1Encoding def currentdict
   end
   /HPwmFont exch definefont pop"
 *End
-*HPwmFont TimesB/Times Bold: "
+*HPwmFontName TimesB/Times Bold: "
   /Times-Bold findfont dup length dict begin
     {1 index /FID ne {def} {pop pop} ifelse} forall
     /Encoding ISOLatin1Encoding def currentdict
   end
   /HPwmFont exch definefont pop"
 *End
-*HPwmFont HelveticaB/Helvetica Bold: "
+*HPwmFontName HelveticaB/Helvetica Bold: "
   /Helvetica-Bold findfont dup length dict begin
     {1 index /FID ne {def} {pop pop} ifelse} forall
     /Encoding ISOLatin1Encoding def currentdict
   end
   /HPwmFont exch definefont pop"
 *End
-*CloseUI: *HPwmFont
+*CloseUI: *HPwmFontName
 
 *%=== WaterMark Size ========
 *OpenUI *HPwmFontSize/Watermark Size:  PickOne
@@ -297,6 +299,7 @@
 *End
 *CloseUI: *HPwmSwitch
 *%$WM_END
+*CloseGroup: HPWaterOverlayPanel
 
 *%--------------------------------------------------------------------------
 *% Media Output Destination
@@ -329,17 +332,10 @@
 *CloseUI: *HPCollate
 
 *%=== JCL Features ==========================
-*JCLBegin:           ""
+*JCLBegin:           "<1B>%-12345X@PJL JOB<0A>"
 *JCLToPSInterpreter: "@PJL ENTER LANGUAGE = POSTSCRIPT <0A>"
 *JCLEnd:             "<1B>%-12345X@PJL EOJ<0A>"
 
-*OpenUI *PrintQualityGroup/Print Quality: PickOne
-*DefaultPrintQualityGroup: PQGroup_3
-*PrintQualityGroup PQGroup_1/ProRes 1200 (156 lpi): ""
-*PrintQualityGroup PQGroup_2/ProRes 1200 (180 lpi): ""
-*PrintQualityGroup PQGroup_3/FastRes 1200: ""
-*CloseUI: *PrintQualityGroup
-
 *JCLOpenUI *JCLResolution/Resolution: PickOne
 *OrderDependency: 10 JCLSetup *JCLResolution
 *DefaultJCLResolution: 600dpi
@@ -364,6 +360,7 @@
 *%=== Paper Sizes =================
 *OpenUI *PageSize: PickOne
 *OrderDependency: 30 AnySetup *PageSize
+*DefaultPageSize: Letter
 *PageSize Letter/Letter: "
   <</PageSize [612 792] /ImagingBBox null /MediaClass null >> setpagedevice"
 *End
@@ -607,65 +604,75 @@
 *InputSlot Tray3/Tray 3: "
 <</ManualFeed false /MediaPosition 1>> setpagedevice"
 *End
-*InputSlot Plain/Plain: "
+*?InputSlot: ""
+*CloseUI: *InputSlot
+
+*%=== Media Type ====================
+*OpenUI *MediaType/Media Type: PickOne
+*OrderDependency: 20 AnySetup *MediaType
+*DefaultMediaType: Auto
+*MediaType Auto/Unspecified: "
+<</ManualFeed false /MediaType null >> setpagedevice"
+*End
+*MediaType Plain/Plain: "
 <</ManualFeed false /MediaType (Plain)>> setpagedevice"
 *End
-*InputSlot Preprinted/Preprinted: "
+*MediaType Preprinted/Preprinted: "
 <</ManualFeed false /MediaType (Preprinted)>> setpagedevice"
 *End
-*InputSlot Letterhead/Letterhead: "
+*MediaType Letterhead/Letterhead: "
 <</ManualFeed false /MediaType (Letterhead)>> setpagedevice"
 *End
-*InputSlot Transparency/Transparency: "
+*MediaType Transparency/Transparency: "
 <</ManualFeed false /MediaType (Transparency)>> setpagedevice"
 *End
-*InputSlot Prepunched/Prepunched: "
+*MediaType Prepunched/Prepunched: "
 <</ManualFeed false /MediaType (Prepunched)>> setpagedevice"
 *End
-*InputSlot Labels/Labels: "
+*MediaType Labels/Labels: "
 <</ManualFeed false /MediaType (Labels)>> setpagedevice"
 *End
-*InputSlot Bond/Bond: "
+*MediaType Bond/Bond: "
 <</ManualFeed false /MediaType (Bond)>> setpagedevice"
 *End
-*InputSlot Recycled/Recycled: "
+*MediaType Recycled/Recycled: "
 <</ManualFeed false /MediaType (Recycled)>> setpagedevice"
 *End
-*InputSlot Color/Color: "
+*MediaType Color/Color: "
 <</ManualFeed false /MediaType (Color)>> setpagedevice"
 *End
-*InputSlot Light/Light 55-60 g/m2:  "
+*MediaType Light/Light 55-60 g/m2:  "
     <</ManualFeed false /MediaType (Light)>> setpagedevice"
 *End
-*InputSlot Heavy/Heavy 91-164 g/m2:  "
+*MediaType Heavy/Heavy 91-164 g/m2:  "
     <</ManualFeed false /MediaType (Heavy)>> setpagedevice"
 *End
-*InputSlot CardStock105/Cardstock 105-176 g/m2: "
+*MediaType CardStock105/Cardstock 105-176 g/m2: "
 <</ManualFeed false /MediaType (Card Stock)>> setpagedevice"
 *End
-*InputSlot Rough/Rough: "
+*MediaType Rough/Rough: "
 <</ManualFeed false /MediaType (Rough)>> setpagedevice"
 *End
-*InputSlot Multipurpose/HP Multipurpose Paper:  "
-    <</ManualFeed false /MediaType (Custom)>> setpagedevice"
+*MediaType Multipurpose/HP Multipurpose Paper:  "
+    <</ManualFeed false /MediaType (Plain)>> setpagedevice"
 *End
-*InputSlot Office/HP Office Paper:  "
-    <</ManualFeed false /MediaType (Custom)>> setpagedevice"
+*MediaType Office/HP Office Paper:  "
+    <</ManualFeed false /MediaType (Plain)>> setpagedevice"
 *End
-*InputSlot Allinone/HP All-in-one Printing Paper:  "
-    <</ManualFeed false /MediaType (Custom)>> setpagedevice"
+*MediaType Allinone/HP All-in-one Printing Paper:  "
+    <</ManualFeed false /MediaType (Plain)>> setpagedevice"
 *End
-*InputSlot Laserjet/HP LaserJet Paper:  "
-    <</ManualFeed false /MediaType (Custom)>> setpagedevice"
+*MediaType Laserjet/HP LaserJet Paper:  "
+    <</ManualFeed false /MediaType (Heavy)>> setpagedevice"
 *End
-*InputSlot PremiumLaserjet/HP Premium Choice LaserJet Paper:  "
-   <</ManualFeed false /MediaType (Custom)>> setpagedevice"
+*MediaType PremiumLaserjet/HP Premium Choice LaserJet Paper:  "
+   <</ManualFeed false /MediaType (Heavy)>> setpagedevice"
 *End
-*InputSlot Envelope/Envelope:  "
+*MediaType Envelope/Envelope:  "
       <</ManualFeed false /MediaType (Envelope)>> setpagedevice"
 *End
 *?InputSlot: ""
-*CloseUI: *InputSlot
+*CloseUI: *MediaType
 
 *%=== Fit to Page =========================
 *OpenUI *HPPaperPolicy/Fit to Page: PickOne
@@ -884,20 +891,20 @@
 *OpenGroup: InstallableOptions/Installed Options
 
 *% =================================================
-*%        Duplexer
+*%        Installed Duplexer
 *% =================================================
-*OpenUI *Duplexer/Duplex Unit (for 2-Sided Printing): Boolean
-*DefaultDuplexer: True
-*Duplexer False/Not Installed: ""
-*Duplexer True/Installed: ""
-*?Duplexer: "
+*OpenUI *InstalledDuplexer/Duplex Unit (for 2-Sided Printing): Boolean
+*DefaultInstalledDuplexer: True
+*InstalledDuplexer False/Not Installed: ""
+*InstalledDuplexer True/Installed: ""
+*?InstalledDuplexer: "
   save
     currentpagedevice /Duplex known
     {(True)}{(False)}ifelse = flush
   restore
 "
 *End
-*CloseUI: *Duplexer
+*CloseUI: *InstalledDuplexer
 
 *%==============================================
 *%        Printer Memory
@@ -933,11 +940,11 @@
 *%    Input tray constraints
 *%======================================================================
 
-*UIConstraints: *Duplexer False *Duplex DuplexTumble
-*UIConstraints: *Duplex DuplexTumble *Duplexer False
+*UIConstraints: *InstalledDuplexer False *Duplex DuplexTumble
+*UIConstraints: *Duplex DuplexTumble *InstalledDuplexer False
 
-*UIConstraints: *Duplexer False *Duplex DuplexNoTumble
-*UIConstraints: *Duplex DuplexNoTumble *Duplexer False
+*UIConstraints: *InstalledDuplexer False *Duplex DuplexNoTumble
+*UIConstraints: *Duplex DuplexNoTumble *InstalledDuplexer False
 
 *%======================================================================
 *%              Paper Size/Input tray constraints
@@ -1179,29 +1186,69 @@
 *%======================================================================
 *%                Constraints for Media Types with Duplex
 *%======================================================================
-*UIConstraints: *InputSlot Transparency    *Duplex DuplexTumble
-*UIConstraints: *InputSlot CardStock105    *Duplex DuplexTumble
-*UIConstraints: *InputSlot Labels          *Duplex DuplexTumble
-*UIConstraints: *InputSlot Heavy		   *Duplex DuplexTumble
-*UIConstraints: *InputSlot Envelope		   *Duplex DuplexTumble
-
-*UIConstraints: *Duplex DuplexTumble		*InputSlot Transparency
-*UIConstraints: *Duplex DuplexTumble		*InputSlot CardStock105
-*UIConstraints: *Duplex DuplexTumble		*InputSlot Labels
-*UIConstraints: *Duplex DuplexTumble		*InputSlot Heavy
-*UIConstraints: *Duplex DuplexTumble		*InputSlot Envelope
-
-*UIConstraints: *InputSlot Transparency    *Duplex DuplexNoTumble
-*UIConstraints: *InputSlot CardStock105    *Duplex DuplexNoTumble
-*UIConstraints: *InputSlot Labels          *Duplex DuplexNoTumble
-*UIConstraints: *InputSlot Heavy		   *Duplex DuplexNoTumble
-*UIConstraints: *InputSlot Envelope		   *Duplex DuplexNoTumble
-
-*UIConstraints: *Duplex DuplexNoTumble		*InputSlot Transparency
-*UIConstraints: *Duplex DuplexNoTumble		*InputSlot CardStock105
-*UIConstraints: *Duplex DuplexNoTumble		*InputSlot Labels
-*UIConstraints: *Duplex DuplexNoTumble		*InputSlot Heavy
-*UIConstraints: *Duplex DuplexNoTumble		*InputSlot Envelope
+*UIConstraints: *MediaType Transparency    *Duplex DuplexTumble
+*UIConstraints: *MediaType CardStock105    *Duplex DuplexTumble
+*UIConstraints: *MediaType Labels          *Duplex DuplexTumble
+*UIConstraints: *MediaType Heavy		   *Duplex DuplexTumble
+*UIConstraints: *MediaType Laserjet		   *Duplex DuplexTumble
+*UIConstraints: *MediaType PremiumLaserjet	   *Duplex DuplexTumble
+*UIConstraints: *MediaType Envelope		   *Duplex DuplexTumble
+
+*UIConstraints: *Duplex DuplexTumble		*MediaType Transparency
+*UIConstraints: *Duplex DuplexTumble		*MediaType CardStock105
+*UIConstraints: *Duplex DuplexTumble		*MediaType Labels
+*UIConstraints: *Duplex DuplexTumble		*MediaType Heavy
+*UIConstraints: *Duplex DuplexTumble		*MediaType Laserjet
+*UIConstraints: *Duplex DuplexTumble		*MediaType PremiumLaserjet
+*UIConstraints: *Duplex DuplexTumble		*MediaType Envelope
+
+*UIConstraints: *MediaType Transparency		*Duplex DuplexNoTumble
+*UIConstraints: *MediaType CardStock105		*Duplex DuplexNoTumble
+*UIConstraints: *MediaType Labels       	*Duplex DuplexNoTumble
+*UIConstraints: *MediaType Heavy		*Duplex DuplexNoTumble
+*UIConstraints: *MediaType Laserjet		*Duplex DuplexNoTumble
+*UIConstraints: *MediaType PremiumLaserjet	*Duplex DuplexNoTumble
+*UIConstraints: *MediaType Envelope             *Duplex DuplexNoTumble
+
+*UIConstraints: *Duplex DuplexNoTumble		*MediaType Transparency
+*UIConstraints: *Duplex DuplexNoTumble		*MediaType CardStock105
+*UIConstraints: *Duplex DuplexNoTumble		*MediaType Labels
+*UIConstraints: *Duplex DuplexNoTumble		*MediaType Heavy
+*UIConstraints: *Duplex DuplexNoTumble		*MediaType Laserjet
+*UIConstraints: *Duplex DuplexNoTumble		*MediaType PremiumLaserjet
+*UIConstraints: *Duplex DuplexNoTumble		*MediaType Envelope
+
+*UIConstraints: *MediaType Transparency    *InputSlot Tray2
+*UIConstraints: *MediaType Labels          *InputSlot Tray2
+*UIConstraints: *MediaType Heavy           *InputSlot Tray2
+*UIConstraints: *MediaType Laserjet        *InputSlot Tray2
+*UIConstraints: *MediaType PremiumLaserjet *InputSlot Tray2
+*UIConstraints: *MediaType CardStock105    *InputSlot Tray2
+*UIConstraints: *MediaType Envelope        *InputSlot Tray2
+
+*UIConstraints: *MediaType Transparency    *InputSlot Tray3
+*UIConstraints: *MediaType Labels          *InputSlot Tray3
+*UIConstraints: *MediaType Heavy           *InputSlot Tray3
+*UIConstraints: *MediaType Laserjet        *InputSlot Tray3
+*UIConstraints: *MediaType PremiumLaserjet *InputSlot Tray3
+*UIConstraints: *MediaType CardStock105    *InputSlot Tray3
+*UIConstraints: *MediaType Envelope        *InputSlot Tray3
+
+*UIConstraints: *InputSlot Tray2 *MediaType Transparency
+*UIConstraints: *InputSlot Tray2 *MediaType Labels
+*UIConstraints: *InputSlot Tray2 *MediaType Heavy
+*UIConstraints: *InputSlot Tray2 *MediaType Laserjet
+*UIConstraints: *InputSlot Tray2 *MediaType PremiumLaserjet
+*UIConstraints: *InputSlot Tray2 *MediaType CardStock105
+*UIConstraints: *InputSlot Tray2 *MediaType Envelope
+
+*UIConstraints: *InputSlot Tray3 *MediaType Transparency
+*UIConstraints: *InputSlot Tray3 *MediaType Labels
+*UIConstraints: *InputSlot Tray3 *MediaType Heavy
+*UIConstraints: *InputSlot Tray3 *MediaType Laserjet
+*UIConstraints: *InputSlot Tray3 *MediaType PremiumLaserjet
+*UIConstraints: *InputSlot Tray3 *MediaType CardStock105
+*UIConstraints: *InputSlot Tray3 *MediaType Envelope
 
 *%=== Font Information =====================
 *DefaultFont: Courier
